Skip to main content
GET
/
api
/
v0
/
volumes
list volumes
curl --request GET \
  --url https://console.vast.ai/api/v0/volumes/ \
  --header 'Authorization: Bearer <token>'
{
  "volumes": [
    {
      "instances": [
        {}
      ],
      "driver_version": "<string>",
      "cuda_max_good": 123,
      "machine_id": 123,
      "public_ipaddr": "<string>",
      "reliability2": 123,
      "host_id": 123,
      "cpu_name": "<string>",
      "mobo_name": "<string>",
      "disk_space": 123,
      "disk_name": "<string>",
      "inet_up": 123,
      "inet_down": 123,
      "storage_total_cost": 123,
      "os_version": "<string>",
      "verification": "<string>",
      "static_ip": true,
      "cpu_arch": "<string>",
      "start_date": 123,
      "id": 123,
      "status": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vast.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Response

Success response

volumes
object[]